//
//  TSChatCellConfig.swift
//  AIEmoji
//
//  Created by 100Years on 2025/2/13.
//


private let topSpaceH = 0.0
private let bottomSpaceH = 0.0


struct TSChatCellConfig {
    

    static var avatarSize = CGSizeMake(40, 40)
    //MARK: ###################################左边头像###################################
    //左边头像的
    static var leadingAvatarEdge:UIEdgeInsets = UIEdgeInsets(top: topSpaceH, left: 16, bottom: 0, right: 0)
 
    //MARK: ###################################右边头像###################################
    //左边头像的
    static var traingAvatarEdge:UIEdgeInsets = UIEdgeInsets(top: topSpaceH, left: 0, bottom: 0, right: 16)
    
    
    //MARK: ###################################消息容器###################################
    //消息容器的 UIEdgeInsets
    static var cellMessageContainerEdge:UIEdgeInsets = UIEdgeInsets(top: topSpaceH, left: 8, bottom: 0, right: 16)
    
    static var cellMessageContainerMinSize:CGSize = CGSizeMake(48, 48)
    
//    static var cellMessageContainerMaxSize:CGSize{
//        
//        
//        
//        return CGSizeMake(40, 99999)
//        
//    }
    
    
    
    
    //MARK: ###################################消息label###################################
    static var cellMessageLabelEdge:UIEdgeInsets = UIEdgeInsets(top: 12, left: 12, bottom: 12, right: 12)
    
}
